package edu.umich.languageid;

import java.util.List;
import java.util.Map;

import edu.umich.languageid.LabeledInstance;

public interface Classifier<T>
{
	public Map<String, Double> probabilities(T instance);
	
	public double probability(T instance, String label);
	
	public Classifier<T> createUpdatedClassifier(List<LabeledInstance<T>> hmmLabels);
}
