package edu.umich.languageid;

public class LabeledInstance<T>
{
	T value;
	String label;
	double confidence;
	
	public LabeledInstance(T value, String label, double confidence)
	{
		this.value = value;
		this.label = label;
		this.confidence = confidence;
	}
	
	public T getValue()
	{
		return value;
	}

	public String getLabel()
	{
		return label;
	}
	
	public double getConfidence()
	{
		return confidence;
	}
	
	public boolean matches(LabeledInstance<T> other)
	{
		return value.equals(other.value) && label.equals(other.label);
	}
}
